<form class="form" [formGroup]="loginForm" (ngSubmit)="login(this.loginForm.value)">
    <div><a id="register-btn" class="btn btn-secondary btn-sm" routerLink='/registration'>Registration</a></div>
    <div class="form-group">
        <label for="login-field">Login</label>
        <input id="login-field" class="form-control" name="email" formControlName="login" type="text"/>
    </div>
    <div class="form-group">
        <label for="password-field">Password</label>
        <input  id="password-field" class="form-control" name="password" formControlName="password" type="password" required/>
    </div>
    <p class="alert-danger" *ngIf="errorMessage">{{errorMessage}}</p>
    <button id="login-btn" class="btn btn-primary" type="submit">Login</button>
</form>
